This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 682721

Summary: Keep the console= parameter in grub.conf
Product: [Fedora] Fedora Reporter: Jan "Yenya" Kasprzak <kas>
Component: preupgradeAssignee: Richard Hughes <rhughes>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 19CC: kparal, rhughes
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-13 11:00:47 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jan "Yenya" Kasprzak 2011-03-07 06:54:12 EST
Description of problem:
When trying to upgrade a Fedora system with serial console configured, preupgrade-cli does not copy the existing console=... kernel command-line argument, forcing the user to perform upgrade over a VGA console.

After manually adding "console=ttyS0,115200n8" to preupgrade section of grub.conf the system upgrade proceeds over the serial console as expected, so I see no reason for omitting this particular parameter in preupgrade.

Version-Release number of selected component (if applicable):
preupgrade-1.1.4-1.fc13

How reproducible:
100 %

Steps to Reproduce:
1. install a F13 system
2. configure the serial console by adding "console=ttyS0,115200n8" kernel command line parameter to grub.conf, and the following two grub commands:
serial --unit=0 --speed=115200
terminal --timeout=5 serial console
3. run 'preupgrade-cli "Fedora 14 (Laughlin)"'
4. check the kernel command line in preupgrade entry of /boot/grub/grub.conf
  
Actual results:
the console=... parameter is not here

Expected results:
the console=... parameter should be copied from the running kernel configuration the same way kernel %post scripts do after upgrading the kernel package.

Additional info:
Comment 1 Richard Hughes 2011-03-09 04:50:06 EST
A patch to fix this would be great, thanks.
Comment 2 Bug Zapper 2011-05-30 07:04:29 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 08:02:58 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Kamil Páral 2012-03-09 11:31:06 EST
Reproduced with preupgrade 1.1.10-1. Reopening.
Comment 5 Fedora End Of Life 2013-04-03 15:42:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Fedora End Of Life 2015-01-09 16:47:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Kamil Páral 2015-01-13 11:00:47 EST
Preupgrade is not used anymore.